Status: Closed Start date: 2015-02-03

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

In the Sandbox2 environment we've seen a number of 404 errors sent to the Coordinating Node from mnTestLTER (a GMN

instance).  After looking at the MN logs, Mark Servilla found that the calls to get() and getSystemMetadata() were happening at

/mn/v2/{object|meta}, rather than /mn/v1/{object|meta}.  cn-sandbox-ucsb-2 has the ubuntu-unstable channel installed in order to test

the v2 code.  Check the d1_cn_synchronization (and perhaps d1_cn_common) code to ensure that the correct endpoints are called

based on the node's capabilities document in the node list.

History

#1 - 2015-03-02 23:56 - Ben Leinfelder

- % Done changed from 0 to 30

- Status changed from New to In Progress

- Assignee set to Ben Leinfelder

I think this was just an import statement mix-up in the NodeCommFactory implementations,

#2 - 2015-03-03 00:01 - Ben Leinfelder

- % Done changed from 30 to 50

- Status changed from In Progress to Testing

Now in trunk. Needs to be tested - likely in SANDBOX2 where we have this all deployed.

#3 - 2015-05-21 19:09 - Ben Leinfelder

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 50 to 100

I believe this has been verified to work properly in our sandbox2 environment
